Subject: Re: bug#51040: No curved quotes in format-prompt and minibuffer-default-prompt-format

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 12 Oct 2021 14:03:28 +0200

Stefan Kangas <[email-masked]> writes:

> OK, so here's what I propose.  The first patch adds a function
> `substitute-quotes' and could go to master, the second one changes
> `format-prompt' to use `substitute-command-keys' and could go to
> emacs-28.

The first one looks OK to me, but I'm unsure about the second one.  I
mean, it's a small change, but it's hard to say whether this will lead
to obscure regressions in some people's work flows.  So I'm leaning
towards not changing this in emacs-28 at this point.

Eli, do you have an opinion?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no